Bug 109450 - [CI][BAT] igt@kms_chamelium@hdmi-edid-read - dmesg-warn - *ERROR* Parade FW not ready to accept AVI IF
Summary: [CI][BAT] igt@kms_chamelium@hdmi-edid-read - dmesg-warn - *ERROR* Parade FW n...
Status: CLOSED WORKSFORME
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: medium normal
Assignee: Swati Sharma
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-24 13:46 UTC by Martin Peres
Modified: 2019-06-13 14:32 UTC (History)
1 user (show)

See Also:
i915 platform: KBL
i915 features: display/LSPCON


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2019-01-24 13:46:41 UTC
<7> [168.326683] [drm:drm_fb_helper_hotplug_event.part.24] 
<7> [168.326691] [drm:drm_setup_crtcs] 
<7> [168.326729] [drm:drm_helper_probe_single_connector_modes] [CONNECTOR:85:DP-1]
<7> [168.326833] [drm:intel_dp_detect [i915]] [CONNECTOR:85:DP-1]
<7> [168.326872] [drm:drm_helper_probe_single_connector_modes] [CONNECTOR:85:DP-1] disconnected
<7> [168.327103] [drm:drm_helper_probe_single_connector_modes] [CONNECTOR:93:HDMI-A-1]
<7> [168.327195] [drm:intel_hdmi_detect [i915]] [CONNECTOR:93:HDMI-A-1]
<7> [168.327620] [drm:do_gmbus_xfer [i915]] GMBUS [i915 gmbus dpb] NAK for addr: 0050 w(1)
<7> [168.327731] [drm:do_gmbus_xfer [i915]] GMBUS [i915 gmbus dpb] NAK on first message, retry
<7> [168.328028] [drm:do_gmbus_xfer [i915]] GMBUS [i915 gmbus dpb] NAK for addr: 0050 w(1)
<7> [168.328060] [drm:drm_do_probe_ddc_edid] drm: skipping non-existent adapter i915 gmbus dpb
<7> [168.328141] [drm:intel_hdmi_set_edid [i915]] HDMI GMBUS EDID read failed, retry using GPIO bit-banging
<7> [168.328222] [drm:intel_gmbus_force_bit [i915]] enabling bit-banging on i915 gmbus dpb. force bit now 1
<7> [168.331077] [drm:drm_do_probe_ddc_edid] drm: skipping non-existent adapter i915 gmbus dpb
<7> [168.331186] [drm:intel_gmbus_force_bit [i915]] disabling bit-banging on i915 gmbus dpb. force bit now 0
<7> [168.331593] [drm:do_gmbus_xfer [i915]] GMBUS [i915 gmbus dpb] NAK for addr: 0040 w(1)
<7> [168.331695] [drm:do_gmbus_xfer [i915]] GMBUS [i915 gmbus dpb] NAK on first message, retry
<7> [168.331998] [drm:do_gmbus_xfer [i915]] GMBUS [i915 gmbus dpb] NAK for addr: 0040 w(1)
<7> [168.332027] [drm:drm_dp_dual_mode_detect] DP dual mode HDMI ID: (err -6)
<7> [168.332039] [drm:drm_helper_probe_single_connector_modes] [CONNECTOR:93:HDMI-A-1] disconnected
<7> [168.332049] [drm:drm_helper_probe_single_connector_modes] [CONNECTOR:99:DP-2]
<7> [168.332123] [drm:intel_dp_detect [i915]] [CONNECTOR:99:DP-2]
<7> [168.333086] [drm:lspcon_wake_native_aux_ch [i915]] Native AUX CH up, DPCD version: 1.2
<7> [168.333198] [drm:lspcon_resume [i915]] LSPCON recovering in PCON mode after 0 ms
<7> [168.334486] [drm:lspcon_wait_mode [i915]] Current LSPCON mode PCON
<7> [168.335589] [drm:intel_dp_read_dpcd [i915]] DPCD: 12 14 c4 01 01 15 01 81 02 01 04 01 0f 00 01
<7> [168.337809] [drm:intel_dp_print_rates [i915]] source rates: 162000, 216000, 270000, 324000, 432000, 540000
<7> [168.337904] [drm:intel_dp_print_rates [i915]] sink rates: 162000, 270000, 540000
<7> [168.337996] [drm:intel_dp_print_rates [i915]] common rates: 162000, 270000, 540000
<7> [168.339325] [drm:drm_dp_read_desc] DP branch: OUI 00-1c-f8 dev-ID 175IB0 HW-rev 1.0 SW-rev 7.32 quirks 0x0000
<7> [168.340454] [drm:intel_dp_detect [i915]] MST support? port C: yes, sink: no, modparam: yes
<7> [168.340804] [drm:drm_dp_i2c_do_msg] I2C nack (result=0, size=0)
<7> [168.341359] [drm:drm_dp_i2c_do_msg] I2C nack (result=0, size=0)
<7> [168.341716] [drm:drm_dp_i2c_do_msg] I2C nack (result=0, size=0)
<7> [168.342089] [drm:drm_dp_i2c_do_msg] I2C nack (result=0, size=0)
<7> [168.342416] [drm:drm_dp_i2c_do_msg] I2C nack (result=0, size=0)
<7> [168.342814] [drm:drm_dp_i2c_do_msg] I2C nack (result=0, size=0)
<7> [168.343111] [drm:drm_dp_i2c_do_msg] I2C nack (result=0, size=0)
<7> [168.343795] [drm:drm_dp_i2c_do_msg] I2C nack (result=0, size=0)
<7> [168.344173] [drm:drm_dp_i2c_do_msg] I2C nack (result=0, size=0)
<7> [168.344531] [drm:drm_dp_i2c_do_msg] I2C nack (result=0, size=0)
<7> [168.345689] [drm:drm_mode_debug_printmodeline] Modeline "1400x1050": 60 101000 1400 1448 1480 1560 1050 1053 1057 1080 0x48 0xa
<7> [168.345703] [drm:drm_mode_prune_invalid] Not using 1400x1050 mode: STALE
<7> [168.345726] [drm:drm_mode_debug_printmodeline] Modeline "1920x1080": 60 148500 1920 2008 2052 2200 1080 1084 1089 1125 0x40 0xa
<7> [168.345736] [drm:drm_mode_prune_invalid] Not using 1920x1080 mode: STALE
<7> [168.345758] [drm:drm_mode_debug_printmodeline] Modeline "1280x720": 60 74250 1280 1390 1430 1650 720 725 730 750 0x40 0x5
<7> [168.345768] [drm:drm_mode_prune_invalid] Not using 1280x720 mode: STALE
<7> [168.345791] [drm:drm_helper_probe_single_connector_modes] [CONNECTOR:99:DP-2] probed modes :
<7> [168.345861] [drm:drm_mode_debug_printmodeline] Modeline "1024x768": 60 65000 1024 1048 1184 1344 768 771 777 806 0x40 0xa
<7> [168.345878] [drm:drm_mode_debug_printmodeline] Modeline "800x600": 60 40000 800 840 968 1056 600 601 605 628 0x40 0x5
<7> [168.345891] [drm:drm_mode_debug_printmodeline] Modeline "800x600": 56 36000 800 824 896 1024 600 601 603 625 0x40 0x5
<7> [168.345902] [drm:drm_mode_debug_printmodeline] Modeline "848x480": 60 33750 848 864 976 1088 480 486 494 517 0x40 0x5
<7> [168.345914] [drm:drm_mode_debug_printmodeline] Modeline "640x480": 60 25175 640 656 752 800 480 490 492 525 0x40 0xa
<7> [168.345926] [drm:drm_setup_crtcs] connector 85 enabled? no
<7> [168.345934] [drm:drm_setup_crtcs] connector 93 enabled? no
<7> [168.345943] [drm:drm_setup_crtcs] connector 99 enabled? yes
<7> [168.346135] [drm:intel_fb_initial_config [i915]] Not using firmware configuration
<7> [168.346170] [drm:drm_setup_crtcs] looking for cmdline mode on connector 99
<7> [168.346179] [drm:drm_setup_crtcs] looking for preferred mode on connector 99 0
<7> [168.346188] [drm:drm_setup_crtcs] found mode 1024x768
<7> [168.346196] [drm:drm_setup_crtcs] picking CRTCs for 1920x1080 config
<7> [168.346244] [drm:drm_setup_crtcs] desired mode 1024x768 set on crtc 47 (0,0)
<7> [168.348262] [drm:intel_atomic_check [i915]] [CONNECTOR:99:DP-2] Limiting display bpp to 24 instead of EDID bpp 0, requested bpp 36, max platform bpp 36
<7> [168.348533] [drm:intel_dp_compute_config [i915]] DP link computation with max lane count 4 max rate 540000 max bpp 24 pixel clock 65000KHz
<7> [168.348774] [drm:intel_dp_compute_config [i915]] Force DSC en = 0
<7> [168.348923] [drm:intel_dp_compute_config [i915]] DP lane count 2 clock 162000 bpp 24
<7> [168.349087] [drm:intel_dp_compute_config [i915]] DP link rate required 195000 available 324000
<7> [168.349262] [drm:intel_atomic_check [i915]] hw max bpp: 24, pipe bpp: 24, dithering: 0
<7> [168.349430] [drm:intel_dump_pipe_config [i915]] [CRTC:47:pipe A][modeset]
<7> [168.349682] [drm:intel_dump_pipe_config [i915]] output_types: DP (0x80)
<7> [168.349846] [drm:intel_dump_pipe_config [i915]] output format: RGB
<7> [168.350008] [drm:intel_dump_pipe_config [i915]] cpu_transcoder: A, pipe bpp: 24, dithering: 0
<7> [168.350129] [drm:intel_dump_pipe_config [i915]] dp m_n: lanes: 2; gmch_m: 2524349, gmch_n: 4194304, link_m: 105181, link_n: 262144, tu: 64
<7> [168.350269] [drm:intel_dump_pipe_config [i915]] audio: 0, infoframes: 0
<7> [168.350409] [drm:intel_dump_pipe_config [i915]] requested mode:
<7> [168.350508] [drm:drm_mode_debug_printmodeline] Modeline "1024x768": 60 65000 1024 1048 1184 1344 768 771 777 806 0x40 0xa
<7> [168.350671] [drm:intel_dump_pipe_config [i915]] adjusted mode:
<7> [168.350694] [drm:drm_mode_debug_printmodeline] Modeline "1024x768": 60 65000 1024 1048 1184 1344 768 771 777 806 0x40 0xa
<7> [168.350862] [drm:intel_dump_pipe_config [i915]] crtc timings: 65000 1024 1048 1184 1344 768 771 777 806, type: 0x40 flags: 0xa
<7> [168.351034] [drm:intel_dump_pipe_config [i915]] port clock: 162000, pipe src size: 1024x768, pixel rate 65000
<7> [168.351177] [drm:intel_dump_pipe_config [i915]] num_scalers: 2, scaler_users: 0x0, scaler_id: -1
<7> [168.351317] [drm:intel_dump_pipe_config [i915]] pch pfit: pos: 0x00000000, size: 0x00000000, disabled
<7> [168.351456] [drm:intel_dump_pipe_config [i915]] ips: 0, double wide: 0
<7> [168.351644] [drm:intel_dump_pipe_config [i915]] dpll_hw_state: ctrl1: 0x5, cfgcr1: 0x0, cfgcr2: 0x0
<7> [168.351832] [drm:intel_dump_pipe_config [i915]] planes on this crtc
<7> [168.352019] [drm:intel_dump_pipe_config [i915]] [PLANE:30:plane 1A] FB:109, fb = 1920x1080 format = XR24 little-endian (0x34325258)
<7> [168.352237] [drm:intel_dump_pipe_config [i915]] scaler:-1 src 0x0+1920+1080 dst 0x0+1920+1080
<7> [168.352456] [drm:intel_dump_pipe_config [i915]] [PLANE:37:plane 2A] disabled, scaler_id = -1
<7> [168.352763] [drm:intel_dump_pipe_config [i915]] [PLANE:44:cursor A] disabled, scaler_id = -1
<7> [168.353008] [drm:intel_atomic_check [i915]] New cdclk calculated to be logical 337500 kHz, actual 337500 kHz
<7> [168.353230] [drm:intel_atomic_check [i915]] New voltage level calculated to be logical 0, actual 0
<7> [168.353481] [drm:intel_find_shared_dpll [i915]] [CRTC:47:pipe A] allocated DPLL 1
<7> [168.353770] [drm:intel_reference_shared_dpll [i915]] using DPLL 1 for pipe A
<7> [168.354965] [drm:hsw_audio_codec_disable [i915]] Disable audio codec on pipe A
<7> [168.355410] [drm:i915_audio_component_get_eld [i915]] Not valid for port B
<7> [168.357498] [drm:intel_disable_pipe [i915]] disabling pipe A
<7> [168.369023] [drm:intel_dp_aux_xfer [i915]] dp_aux_ch timeout status 0x7c2003ff
<7> [168.378192] [drm:intel_dp_aux_xfer [i915]] dp_aux_ch timeout status 0x7c2003ff
<7> [168.387279] [drm:intel_dp_aux_xfer [i915]] dp_aux_ch timeout status 0x7c2003ff
<7> [168.396322] [drm:intel_dp_aux_xfer [i915]] dp_aux_ch timeout status 0x7c2003ff
<7> [168.405507] [drm:intel_dp_aux_xfer [i915]] dp_aux_ch timeout status 0x7c2003ff
<7> [168.414718] [drm:intel_dp_aux_xfer [i915]] dp_aux_ch timeout status 0x7c2003ff
<7> [168.423782] [drm:intel_dp_aux_xfer [i915]] dp_aux_ch timeout status 0x7c2003ff
<7> [168.432846] [drm:intel_dp_aux_xfer [i915]] dp_aux_ch timeout status 0x7c2003ff
<7> [168.441935] [drm:intel_dp_aux_xfer [i915]] dp_aux_ch timeout status 0x7c2003ff
<7> [168.451597] [drm:intel_dp_aux_xfer [i915]] dp_aux_ch timeout status 0x7c2003ff
<7> [168.460326] [drm:intel_dp_aux_xfer [i915]] dp_aux_ch timeout status 0x7c2003ff
<7> [168.468953] [drm:intel_dp_aux_xfer [i915]] dp_aux_ch timeout status 0x7c2003ff
<7> [168.477546] [drm:intel_dp_aux_xfer [i915]] dp_aux_ch timeout status 0x7c2003ff
<7> [168.486115] [drm:intel_dp_aux_xfer [i915]] dp_aux_ch timeout status 0x7c2003ff
<7> [168.494642] [drm:intel_dp_aux_xfer [i915]] dp_aux_ch timeout status 0x7c2003ff
<7> [168.503161] [drm:intel_dp_aux_xfer [i915]] dp_aux_ch timeout status 0x7c2003ff
<7> [168.511653] [drm:intel_dp_aux_xfer [i915]] dp_aux_ch timeout status 0x7c2003ff
<7> [168.520145] [drm:intel_dp_aux_xfer [i915]] dp_aux_ch timeout status 0x7c2003ff
<7> [168.528626] [drm:intel_dp_aux_xfer [i915]] dp_aux_ch timeout status 0x7c2003ff
<7> [168.537109] [drm:intel_dp_aux_xfer [i915]] dp_aux_ch timeout status 0x7c2003ff
<7> [168.545594] [drm:intel_dp_aux_xfer [i915]] dp_aux_ch timeout status 0x7c2003ff
<7> [168.554090] [drm:intel_dp_aux_xfer [i915]] dp_aux_ch timeout status 0x7c2003ff
<7> [168.562565] [drm:intel_dp_aux_xfer [i915]] dp_aux_ch timeout status 0x7c2003ff
<7> [168.571038] [drm:intel_dp_aux_xfer [i915]] dp_aux_ch timeout status 0x7c2003ff
<7> [168.579509] [drm:intel_dp_aux_xfer [i915]] dp_aux_ch timeout status 0x7c2003ff
<7> [168.587981] [drm:intel_dp_aux_xfer [i915]] dp_aux_ch timeout status 0x7c2003ff
<7> [168.596457] [drm:intel_dp_aux_xfer [i915]] dp_aux_ch timeout status 0x7c2003ff
<7> [168.604932] [drm:intel_dp_aux_xfer [i915]] dp_aux_ch timeout status 0x7c2003ff
<7> [168.613401] [drm:intel_dp_aux_xfer [i915]] dp_aux_ch timeout status 0x7c2003ff
<7> [168.621894] [drm:intel_dp_aux_xfer [i915]] dp_aux_ch timeout status 0x7c2003ff
<7> [168.630364] [drm:intel_dp_aux_xfer [i915]] dp_aux_ch timeout status 0x7c2003ff
<7> [168.638834] [drm:intel_dp_aux_xfer [i915]] dp_aux_ch timeout status 0x7c2003ff
<7> [168.638854] [drm:drm_dp_dpcd_access] Too many retries, giving up. First error: -110
<7> [168.638893] [drm:intel_dp_sink_dpms [i915]] failed to disable sink power state
<7> [168.638937] [drm:intel_power_well_disable [i915]] disabling DDI B IO power well
<7> [168.639025] [drm:__intel_fbc_disable [i915]] Disabling FBC on pipe A
<7> [168.639097] [drm:intel_disable_shared_dpll [i915]] disable DPLL 1 (active 1, on? 1) for crtc 47
<7> [168.639161] [drm:intel_disable_shared_dpll [i915]] disabling DPLL 1
<7> [168.639201] [drm:intel_atomic_commit_tail [i915]] [ENCODER:84:DDI B]
<7> [168.639234] [drm:intel_atomic_commit_tail [i915]] [ENCODER:86:DP-MST A]
<7> [168.639261] [drm:intel_atomic_commit_tail [i915]] [ENCODER:87:DP-MST B]
<7> [168.639288] [drm:intel_atomic_commit_tail [i915]] [ENCODER:88:DP-MST C]
<7> [168.639315] [drm:intel_atomic_commit_tail [i915]] [ENCODER:98:DDI C]
<7> [168.639341] [drm:intel_atomic_commit_tail [i915]] [ENCODER:100:DP-MST A]
<7> [168.639368] [drm:intel_atomic_commit_tail [i915]] [ENCODER:101:DP-MST B]
<7> [168.639394] [drm:intel_atomic_commit_tail [i915]] [ENCODER:102:DP-MST C]
<7> [168.639424] [drm:verify_connector_state.isra.70 [i915]] [CONNECTOR:85:DP-1]
<7> [168.639502] [drm:verify_single_dpll_state.isra.101 [i915]] DPLL 0
<7> [168.639549] [drm:verify_single_dpll_state.isra.101 [i915]] DPLL 1
<7> [168.639593] [drm:verify_single_dpll_state.isra.101 [i915]] DPLL 2
<7> [168.639638] [drm:verify_single_dpll_state.isra.101 [i915]] DPLL 3
<7> [168.639693] [drm:intel_enable_shared_dpll [i915]] enable DPLL 1 (active 1, on? 0) for crtc 47
<7> [168.639731] [drm:intel_enable_shared_dpll [i915]] enabling DPLL 1
<7> [168.640022] [drm:intel_power_well_enable [i915]] enabling DDI C IO power well
<7> [168.641185] [drm:lspcon_wait_mode [i915]] Current LSPCON mode PCON
<7> [168.641818] [drm:intel_dp_start_link_train [i915]] Using LINK_BW_SET value 06
<7> [168.642570] [drm:intel_dp_set_signal_levels [i915]] Using signal levels 00000000
<7> [168.642599] [drm:intel_dp_set_signal_levels [i915]] Using vswing level 0
<7> [168.642627] [drm:intel_dp_set_signal_levels [i915]] Using pre-emphasis level 0
<7> [168.642655] [drm:intel_dp_program_link_training_pattern [i915]] Using DP training pattern TPS1
<7> [168.647785] [drm:intel_dp_start_link_train [i915]] clock recovery OK
<7> [168.647815] [drm:intel_dp_program_link_training_pattern [i915]] Using DP training pattern TPS3
<7> [168.653010] [drm:intel_dp_start_link_train [i915]] Channel EQ done. DP Training successful
<7> [168.653369] [drm:intel_dp_start_link_train [i915]] [CONNECTOR:99:DP-2] Link Training Passed at Link Rate = 162000, Lane count = 2
<3> [168.659981] [drm:lspcon_write_infoframe [i915]] *ERROR* Parade FW not ready to accept AVI IF
<7> [168.660074] [drm:lspcon_write_infoframe [i915]] LSPCON FW not ready, block 1
<7> [168.660108] [drm:lspcon_write_infoframe [i915]] Failed to write infoframe blocks
<3> [168.660148] [drm:lspcon_write_infoframe [i915]] *ERROR* Failed to write AVI infoframes
Comment 1 CI Bug Log 2019-01-24 13:47:11 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* LSPCON: igt@kms_chamelium@hdmi-edid-read - dmesg-warn - *ERROR* Parade FW not ready to accept AVI IF
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5449_20/fi-kbl-7500u/igt@kms_chamelium@hdmi-edid-read.html
Comment 2 Jani Saarinen 2019-01-25 06:58:49 UTC
Assigned to Swati as new FW (7.32 => 7.64) was  updated on 6770hq.
See also https://intel-gfx-ci.01.org/hardware.html
Comment 3 Lakshmi 2019-02-20 07:03:58 UTC
Last seen CI_DRM_5449_20 (3 weeks, 6 days / 602 runs ago)
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5449_20/fi-kbl-7500u/igt@kms_chamelium@hdmi-edid-read.html
Comment 4 Swati Sharma 2019-03-25 10:24:29 UTC
Lakshmi,

Any latest updates for this error?
Comment 5 Lakshmi 2019-03-25 12:32:20 UTC
(In reply to Swati Sharma from comment #4)
> Lakshmi,
> 
> Any latest updates for this error?

This failure occurred only once CI_DRM_5449_20 (2 months / 1091 runs ago), not seen later. Dropping the priority to Medium.
Comment 6 Lakshmi 2019-06-13 14:31:22 UTC
Occurred only once CI_DRM_5449_20 (4 months, 2 weeks old).
Closing this bug as WORKSFORME.
Comment 7 CI Bug Log 2019-06-13 14:32:02 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.